<?php
/**********************************************************************
***********************************************************************/

$page_security = 'SA_SUBCONTRACTOR_INVOICE_INQ';
if (!@$_GET['popup'])
	$path_to_root = "../..";
else	
	$path_to_root = "..";
include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/date_functions.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/includes/inventory.inc");
include_once($path_to_root . "/includes/data_checks.inc");
//include_once($path_to_root . "/projects/includes/db/manual_project_invoice_inquiry_db.inc");
include_once($path_to_root . "/projects/includes/db/subcontractor_invoice_inquiry_db.inc");


$js = '';

if ($SysPrefs->use_popup_windows) {
	$js .= get_js_open_window(900, 500);
}

if (user_use_date_picker()) {
	$js .= get_js_date_picker();
}

page($help_context = "Approve Subcontractor Invoices", false, false, "", $js);
//---------------------------------------------------------------------------------------------

simple_page_mode(true);

if (isset($_GET['order_no']))
{
    $_POST['order_no'] = $_GET['order_no'];
}


function ord_date($row)
{
   return sql2date($row['ord_date']);
}

function order_no($row)
{
   // return $row['order_no'];
    return get_project_trans_view_str(ST_SUBCONTRACTOR_INVOICE, $row['order_no']);
}

function _project_description($row)
{
    return $row['project_description'];   
}

function supplier_name($row)
{
    return $row['supplier_name'];    
}

function reference($row)
{
    return $row['reference'];     
}


function _due_date($row)
{
    return sql2date($row['due_date']);
}


function payment_certificate_amount($row)
{
    return $row['payment_certificate_amount'];    
}



function supp_inv_ref($row)
{
    return $row['supp_inv_ref'];   
}

function _originator($row)
{
    return $row['real_name'];
}


function edit_link($row) 
{
    $modify = "SCI_No";   
        
        return pager_link( _("Edit"), "/projects/subcontractor_invoices.php?$modify=". $row['order_no'], ICON_EDIT);   
   
}

//--------------------------------------------------------------------------------------------------


if ($Mode == 'RESET')
{
	$selected_id = -1;
}

if (isset($_POST['_selected_id_update']) )
{
	$selected_id = $_POST['selected_id'];
	//$Ajax->activate('_page_body');
}

//if (list_updated('employee_code')) 
	$Ajax->activate('_page_body');
//--------------------------------------------------------------------------------------------------


start_form();
//start_table();
//    start_row();
//        date_cells("From Date:", 'from_date', '', null, -15);
//        date_cells("To Date:", 'to_date', '', null, +15);
////    end_row();  
////end_table();
////
////start_table();
////    start_row();
//        project_list_cells(_("Project:"), 'project_id', null, _('Select a project'), true);        
//        supplier_list_cells("Supplier:", 'supplier_id', null, ("Select a Supplier"), true);
//
//        submit_cells('SearchOrders', _("Search"),'',_('Search'), 'default');
//    end_row();
//end_table(1);

//---------------------------------------------------------------------------------------------

$project_id = "";
if(isset($_POST['project_id'])){
  $project_id = $_POST['project_id'];
}

$supplier_id = "";
if(isset($_POST['supplier_id'])){
  $supplier_id = $_POST['supplier_id'];
}

$from_date = "";
if(isset($_POST['from_date'])){
  $from_date = $_POST['from_date'];
}

$to_date = "";
if(isset($_POST['to_date'])){
  $to_date = $_POST['to_date'];
}

$current_user_id = $_SESSION['wa_current_user']->user;
$sql = get_sql_for_approve_subcontractor_invoice_inquiry($current_user_id);    

$cols = array(
            _("ID")=> array('fun'=>'order_no'),
            _("Reference")=> array('fun'=>'reference'),
            _("Project")=> array('fun'=>'_project_description'),
            _("Supplier")=> array('fun'=>'supplier_name'),
            _("Supp Inv Ref")=>array('fun'=>'supp_inv_ref'), 
            _("Order Date")=>array('fun'=>'ord_date', 'align' => 'center'),
            _("Due Date")=>array('fun'=>'_due_date', 'align' => 'center'),
            _("Originator")=>array('fun'=>'_originator') 
                        
//                _("Rate Include Taxes")=>array('fun'=>'rate_include_taxes'),   
//                _("Tax Group") =>array('fun'=>'tax_group_name')                
               
);
    array_append($cols, array(
		//array('insert'=>true, 'fun'=>'dispatch_link'),
		array('insert'=>true, 'fun'=>'edit_link')));

//------------------------------------------------------------------------------------------------      
//if (get_post('StockLocation') != $all_items) {
//	$cols[_("Location")] = 'skip';
//}
//---------------------------------------------------------------------------------------------------

$table =& new_db_pager('orders_tbl', $sql, $cols, null, null);

$table->width = "90%";

display_db_pager($table);

br();

if (!@$_GET['popup'])
{
    end_form();
    end_page();
}	


?>
